package daca.mvc.model;

import java.util.Collection;
import java.util.Iterator;
import java.util.Vector;

public class ModelFacade {
	
	private static ModelFacade instance;
	private Collection persons;
	
	private ModelFacade(){
		persons = new Vector();
		
		addPerson("Joo", 19);
		addPerson("Maria", 23);
		addPerson("Talita", 20);
	}
	
	public static ModelFacade getInstance(){
		if(instance == null){
			instance = new ModelFacade();
		}
		return instance;
	}
	
	public Iterator listPersons(){
		return persons.iterator();
	}
	
	public boolean addPerson(Person p){
		return persons.add(p);
	}
	
	public boolean addPerson(String name, int age){
		return persons.add(new Person(name, age));
	}

}
